net::InterfaceIpSettings_2_0_0 Struct Reference

Interface specific IP settings. More...

`import"Net.idl";`

## Public Attributes

boolean | enabled
| Controls if IPv4/IPv6 is enabled.
IpConfigMethod | configMethod
| Interface configuration method.
IpAddrCidr | staticAddrCidr
| Statically assigned IPv4/IPv6 address (CIDR)
string | dhcpPreferredHostname
| Preferred hostname (only used with DHCP)

## Detailed Description

Interface specific IP settings.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/Net.idl